#!/usr/bin/env python
# --*- coding: utf-8 -*-
##############################################################################
#   Make an empty write on all invoices in order to recompute fields.function
#
from oobjlib.connection import Connection
from oobjlib.component import Object

from oobjlib.common import GetParser
from optparse import OptionGroup


# ######################################
#   Connect to OpenERP via XML-RPC
# ######################################
cli_args = GetParser('Test Import XML from XmlRPC Connection', '0.1')

group = OptionGroup(cli_args, 'Import XML', "Application option")

# Supll
#group.add_option('-f', '--filename', dest='filename', help='file name'),
#cli_args.add_option_group(group)

opts, args = cli_args.parse_args()

try:
    cnx = Connection(
        server=opts.server, 
        dbname=opts.dbname, 
        login=opts.user, 
        password=opts.passwd, 
        port=opts.port)
except Exception, e:
    print '%s' % str(e)
    exit(1)



# ######################################
#   M A I N
# ######################################

invoice_obj = Object(cnx, 'account.invoice')


invoice_ids = invoice_obj.search([])
print "INFO: %d invoices found" % len(invoice_ids)
    
invoice_obj.write(invoice_ids, {})


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
